/*=======================================================*/
/*  TVPOSWIN.C                                           */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"

/*======================================================*/
/* TVposwin  select a window's position relative to     */
/*           another                                    */
/*   Ralf Brown 4/2/88                                  */
/*   Ralf Brown 7/19/88 added row_offset, col_offset    */
/*======================================================*/

void pascal TVposwin(OBJECT win, OBJECT parent, int pos, int row_offset,int col_offset)
{
   if (win == NIL)
      win = TVmywindow() ;
   _BX = OBJSEG(parent) ;
   _ES = OBJSEG(win) ;
   _DL = pos ;
   _CH = col_offset ;
   _CL = row_offset ;
   _AX = 0x1023 ;
   geninterrupt(0x15) ;
}

/* End of TVPOSWIN.C */
